Skip to main content
GET
/
environment
/
{environmentId}
/
statusesWithStages
Get environment statuses with stages
curl --request GET \
  --url https://api.qovery.com/environment/{environmentId}/statusesWithStages \
  --header 'Authorization: Bearer <token>'
{
  "environment": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "last_deployment_date": "2023-11-07T05:31:56Z",
    "last_deployment_id": "<string>",
    "total_deployment_duration_in_seconds": 123,
    "origin": "API",
    "triggered_by": "<string>",
    "deployment_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "metrics": [
      {
        "stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "total_duration_sec": 123,
        "details": [
          {
            "stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "duration_sec": 123
          }
        ]
      }
    ]
  },
  "stages": [
    {
      "applications": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "is_part_last_deployment": true,
          "status_details": {
            "sub_action": "NONE"
          },
          "deployment_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "deployment_requests_count": 123,
          "last_deployment_date": "2023-11-07T05:31:56Z",
          "steps": {
            "total_duration_sec": 123,
            "total_computing_duration_sec": 123,
            "details": [
              {
                "duration_sec": 123
              }
            ]
          },
          "execution_id": "<string>"
        }
      ],
      "containers": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "is_part_last_deployment": true,
          "status_details": {
            "sub_action": "NONE"
          },
          "deployment_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "deployment_requests_count": 123,
          "last_deployment_date": "2023-11-07T05:31:56Z",
          "steps": {
            "total_duration_sec": 123,
            "total_computing_duration_sec": 123,
            "details": [
              {
                "duration_sec": 123
              }
            ]
          },
          "execution_id": "<string>"
        }
      ],
      "jobs": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "is_part_last_deployment": true,
          "status_details": {
            "sub_action": "NONE"
          },
          "deployment_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "deployment_requests_count": 123,
          "last_deployment_date": "2023-11-07T05:31:56Z",
          "steps": {
            "total_duration_sec": 123,
            "total_computing_duration_sec": 123,
            "details": [
              {
                "duration_sec": 123
              }
            ]
          },
          "execution_id": "<string>"
        }
      ],
      "databases": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "is_part_last_deployment": true,
          "status_details": {
            "sub_action": "NONE"
          },
          "deployment_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "deployment_requests_count": 123,
          "last_deployment_date": "2023-11-07T05:31:56Z",
          "steps": {
            "total_duration_sec": 123,
            "total_computing_duration_sec": 123,
            "details": [
              {
                "duration_sec": 123
              }
            ]
          },
          "execution_id": "<string>"
        }
      ],
      "helms": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "is_part_last_deployment": true,
          "status_details": {
            "sub_action": "NONE"
          },
          "deployment_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "deployment_requests_count": 123,
          "last_deployment_date": "2023-11-07T05:31:56Z",
          "steps": {
            "total_duration_sec": 123,
            "total_computing_duration_sec": 123,
            "details": [
              {
                "duration_sec": 123
              }
            ]
          },
          "execution_id": "<string>"
        }
      ],
      "terraforms": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "is_part_last_deployment": true,
          "status_details": {
            "sub_action": "NONE"
          },
          "deployment_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "deployment_requests_count": 123,
          "last_deployment_date": "2023-11-07T05:31:56Z",
          "steps": {
            "total_duration_sec": 123,
            "total_computing_duration_sec": 123,
            "details": [
              {
                "duration_sec": 123
              }
            ]
          },
          "execution_id": "<string>"
        }
      ],
      "stage": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "description": "<string>",
        "steps": {
          "stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "total_duration_sec": 123,
          "details": [
            {
              "stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "duration_sec": 123
            }
          ]
        }
      }
    }
  ],
  "pre_check_stage": {
    "total_duration_sec": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.qovery.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

environmentId
string<uuid>
required

Environment ID

Response

Get statuses with stages

environment
object
stages
object[]
pre_check_stage
object